Skip to main content
GET
/
v1
/
v2
/
conversations
/
{conversation_id}
/
trace
Get the customer-readable trace for a v2 conversation
curl --request GET \
  --url https://api-sandbox.featherhq.com/v1/v2/conversations/{conversation_id}/trace \
  --header 'x-api-key: <api-key>'
{
  "steps": [
    {
      "kind": "<string>",
      "title": "<string>",
      "started_at": "2023-11-07T05:31:56Z",
      "summary": "<string>",
      "ended_at": "2023-11-07T05:31:56Z",
      "duration_ms": 123,
      "turn_id": "<string>",
      "details": {}
    }
  ],
  "next_cursor": "<string>"
}

Authorizations

x-api-key
string
header
required

Path Parameters

conversation_id
string<uuid>
required

Query Parameters

turn_id
string<uuid> | null
cursor
string | null
limit
integer
default:100
Required range: 1 <= x <= 1000
category
enum<string>
default:product
Available options:
product,
engineering,
all

Response

Successful Response

Envelope returned by both trace read endpoints.

steps
TraceStep · object[]
required
next_cursor
string | null